Pre-General Availability: 2026-02-23
Download Genesis Bundle
get
/v1/instance/genesisdata/zip
Returns a zip archive containing genesis.json and static-nodes.json for the current instance.
This archive can be used for creation of participant instances. Access is restricted to users with the founder role.
Request
Header Parameters
-
X-Request-Id: string
Optional request correlation ID.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
- application/zip
200 Response
Zip archive with genesis.json and static-nodes.json
Root Schema : schema
Type:
string(binary)403 Response
Forbidden
Root Schema : ErrorResponse
Type:
Show Source
object-
decodedError: object
DecodedError
-
error: string
Short error summary suitable for display
-
hint: string
Optional guidance that may help resolve the error
-
message: string
Additional error details, when available
-
requestId: string
Client-provided correlation ID echoed in responses
-
upstreamCode: integer
Upstream node error code (if provided by the RPC endpoint)
-
upstreamData: string
Raw upstream error data payload (0x-hex or JSON), if available
Nested Schema : DecodedError
Type:
Show Source
object-
customError: object
customError
Decoded custom error as defined in the contract ABI
-
standardError: object
standardError
Decoded standard Error(string) revert
-
standardPanic: object
standardPanic
Decoded Panic(uint256) revert
Nested Schema : customError
Type:
objectDecoded custom error as defined in the contract ABI
Show Source
Nested Schema : standardError
Type:
objectDecoded standard Error(string) revert
Show Source
-
message: string
Revert message string
-
selector: string
Example:
0x08c379a0
Nested Schema : standardPanic
Type:
objectDecoded Panic(uint256) revert
Show Source
-
code: string
Panic code value (hex or decimal string)
-
meaning: string
Human-readable interpretation of the panic code, when known
-
selector: string
Example:
0x4e487b71
Nested Schema : DecodedArgument
Type:
Show Source
object-
indexed: boolean
Only for event parameters
-
name: string
May be empty if unknown
-
type: string
Canonical ABI type (for example, uint256, address, (uint256,address), uint256[])
-
value:
Normalized JSON value (address lowercase hex, bigints as decimal strings, bytes as 0x-hex)
404 Response
Resource not found
Root Schema : ErrorResponse
Type:
Show Source
object-
decodedError: object
DecodedError
-
error: string
Short error summary suitable for display
-
hint: string
Optional guidance that may help resolve the error
-
message: string
Additional error details, when available
-
requestId: string
Client-provided correlation ID echoed in responses
-
upstreamCode: integer
Upstream node error code (if provided by the RPC endpoint)
-
upstreamData: string
Raw upstream error data payload (0x-hex or JSON), if available
Nested Schema : DecodedError
Type:
Show Source
object-
customError: object
customError
Decoded custom error as defined in the contract ABI
-
standardError: object
standardError
Decoded standard Error(string) revert
-
standardPanic: object
standardPanic
Decoded Panic(uint256) revert
Nested Schema : customError
Type:
objectDecoded custom error as defined in the contract ABI
Show Source
Nested Schema : standardError
Type:
objectDecoded standard Error(string) revert
Show Source
-
message: string
Revert message string
-
selector: string
Example:
0x08c379a0
Nested Schema : standardPanic
Type:
objectDecoded Panic(uint256) revert
Show Source
-
code: string
Panic code value (hex or decimal string)
-
meaning: string
Human-readable interpretation of the panic code, when known
-
selector: string
Example:
0x4e487b71
Nested Schema : DecodedArgument
Type:
Show Source
object-
indexed: boolean
Only for event parameters
-
name: string
May be empty if unknown
-
type: string
Canonical ABI type (for example, uint256, address, (uint256,address), uint256[])
-
value:
Normalized JSON value (address lowercase hex, bigints as decimal strings, bytes as 0x-hex)
500 Response
Internal error
Root Schema : ErrorResponse
Type:
Show Source
object-
decodedError: object
DecodedError
-
error: string
Short error summary suitable for display
-
hint: string
Optional guidance that may help resolve the error
-
message: string
Additional error details, when available
-
requestId: string
Client-provided correlation ID echoed in responses
-
upstreamCode: integer
Upstream node error code (if provided by the RPC endpoint)
-
upstreamData: string
Raw upstream error data payload (0x-hex or JSON), if available
Nested Schema : DecodedError
Type:
Show Source
object-
customError: object
customError
Decoded custom error as defined in the contract ABI
-
standardError: object
standardError
Decoded standard Error(string) revert
-
standardPanic: object
standardPanic
Decoded Panic(uint256) revert
Nested Schema : customError
Type:
objectDecoded custom error as defined in the contract ABI
Show Source
Nested Schema : standardError
Type:
objectDecoded standard Error(string) revert
Show Source
-
message: string
Revert message string
-
selector: string
Example:
0x08c379a0
Nested Schema : standardPanic
Type:
objectDecoded Panic(uint256) revert
Show Source
-
code: string
Panic code value (hex or decimal string)
-
meaning: string
Human-readable interpretation of the panic code, when known
-
selector: string
Example:
0x4e487b71
Nested Schema : DecodedArgument
Type:
Show Source
object-
indexed: boolean
Only for event parameters
-
name: string
May be empty if unknown
-
type: string
Canonical ABI type (for example, uint256, address, (uint256,address), uint256[])
-
value:
Normalized JSON value (address lowercase hex, bigints as decimal strings, bytes as 0x-hex)
502 Response
Upstream or configuration read error
Root Schema : ErrorResponse
Type:
Show Source
object-
decodedError: object
DecodedError
-
error: string
Short error summary suitable for display
-
hint: string
Optional guidance that may help resolve the error
-
message: string
Additional error details, when available
-
requestId: string
Client-provided correlation ID echoed in responses
-
upstreamCode: integer
Upstream node error code (if provided by the RPC endpoint)
-
upstreamData: string
Raw upstream error data payload (0x-hex or JSON), if available
Nested Schema : DecodedError
Type:
Show Source
object-
customError: object
customError
Decoded custom error as defined in the contract ABI
-
standardError: object
standardError
Decoded standard Error(string) revert
-
standardPanic: object
standardPanic
Decoded Panic(uint256) revert
Nested Schema : customError
Type:
objectDecoded custom error as defined in the contract ABI
Show Source
Nested Schema : standardError
Type:
objectDecoded standard Error(string) revert
Show Source
-
message: string
Revert message string
-
selector: string
Example:
0x08c379a0
Nested Schema : standardPanic
Type:
objectDecoded Panic(uint256) revert
Show Source
-
code: string
Panic code value (hex or decimal string)
-
meaning: string
Human-readable interpretation of the panic code, when known
-
selector: string
Example:
0x4e487b71
Nested Schema : DecodedArgument
Type:
Show Source
object-
indexed: boolean
Only for event parameters
-
name: string
May be empty if unknown
-
type: string
Canonical ABI type (for example, uint256, address, (uint256,address), uint256[])
-
value:
Normalized JSON value (address lowercase hex, bigints as decimal strings, bytes as 0x-hex)